
#ifndef __KEYPAD_H
#define __KEYPAD_H

#include "BaseType.h"

#define KEY_DOWN                0x0201
#define KEY_REPEAT              0x0202
#define KEY_UP                  0x0203
#define THUMB_CLICK             0x0204
#define THUMB_UNCLICK           0x0205
#define THUMB_ROLL_UP           0x0206
#define THUMB_ROLL_DOWN         0x0207
#define KEY_STATUS              0x0208
#define ALT_STATUS              0x0001
#define SHIFT_STATUS            0x0002
#define CAPS_LOCK               0x0004
#define KEY_HELD_WHILE_ROLLING  0x0008
#define ALT_LOCK                0x0010
#define SHIFT_STATUS_L          0x0020
#define SHIFT_STATUS_R          0x0040
#define KEY_BACKSPACE           0x0008
#define KEY_ENTER               0x000d
#define KEY_SPACE               0x0020
#define KEY_DELETE              0x007f
#define KEY_SHIFT               0x0100
#define KEY_ALT                 0x0101
#define KEY_ESCAPE              0x001b
#define KEY_SHIFT2              0x0102
#define KEY_BKLITE              0x0103

void __cdecl KeypadBeep(BOOL Enable);
void __cdecl KeypadRate(WORD Delay, WORD Rate);
BOOL __cdecl KeypadRegister(DWORD Key);

#endif // __KEYPAD_H
