
#ifndef MESSAGE_VERSION_H_included
#define MESSAGE_VERSION_H_included

#include "Pager.h"
#include "RIMVersion.h"
#include "RIMAppVersion.h"

#define MESSAGE_NAME		Message
#define MESSAGE_VER_MAJOR	RIM_APP_MAJOR_VERSION
#define MESSAGE_VER_MINOR	RIM_APP_MINOR_VERSION
#define MESSAGE_VER_RELEASE RIM_APP_RELEASE_VERSION
#define MESSAGE_VER_BUILD	RIM_APP_BUILD_NUMBER
#define MESSAGE_MIN_COMP_MAJOR	2
#define MESSAGE_MIN_COMP_MINOR	0

#ifdef _MESSAGE_
RIM_DEFINE_VERSION(MESSAGE_NAME, MESSAGE_VER_MAJOR, MESSAGE_VER_MINOR, \
				   MESSAGE_VER_RELEASE, MESSAGE_VER_BUILD, \
				   MESSAGE_MIN_COMP_MAJOR, MESSAGE_MIN_COMP_MINOR)
#else
RIM_DEFINE_DEPENDENCY(MESSAGE_NAME, MESSAGE_MIN_COMP_MAJOR, MESSAGE_MIN_COMP_MINOR)
#endif

#ifdef MessageDllAccess
#undef MessageDllAccess
#endif
#ifdef _MESSAGE_
#define MessageDllAccess DLLExport
#else
#define MessageDllAccess DLLImport
#endif

#endif // MESSAGE_VERSION_H_included
