
#ifndef OPTIONS_VERSION_H_included
#define OPTIONS_VERSION_H_included

#include "Pager.h"
#include "RIMVersion.h"
#include "RIMAppVersion.h"

#define OPTIONS_NAME		Options
#define OPTIONS_VER_MAJOR	RIM_APP_MAJOR_VERSION
#define OPTIONS_VER_MINOR	RIM_APP_MINOR_VERSION
#define OPTIONS_VER_RELEASE RIM_APP_RELEASE_VERSION
#define OPTIONS_VER_BUILD	RIM_APP_BUILD_NUMBER
#define OPTIONS_MIN_COMP_MAJOR	2
#define OPTIONS_MIN_COMP_MINOR	0

#ifdef _OPTIONS_
RIM_DEFINE_VERSION(OPTIONS_NAME, \
				   OPTIONS_VER_MAJOR, OPTIONS_VER_MINOR, \
				   OPTIONS_VER_RELEASE, OPTIONS_VER_BUILD, \
				   OPTIONS_MIN_COMP_MAJOR, OPTIONS_MIN_COMP_MINOR)
#else
RIM_DEFINE_DEPENDENCY(OPTIONS_NAME, \
					  OPTIONS_MIN_COMP_MAJOR, OPTIONS_MIN_COMP_MINOR)
#endif

#ifdef OptionsDllAccess
#undef OptionsDllAccess
#endif
#ifdef _OPTIONS_
#define OptionsDllAccess DLLExport
#else
#define OptionsDllAccess DLLImport
#endif


#endif // OPTIONS_VERSION_H_included
