
#ifndef __PRE20_H
#define __PRE20_H

#include "LCD_API.h"
#include "FileSys.h"

#pragma warning(disable:4514)
#pragma warning(disable:4710)

#define LCD_WIDTH LCD_WIDTH()
#define LCD_HEIGHT LCD_HEIGHT()
#define LCD_HEIGHT_BYTE ((LCD_HEIGHT+7)/8)
#define LCD_DISPLAY_SIZE (LCD_WIDTH*LCD_HEIGHT)
#define LCD_DISPLAY_SIZE_BYTE (LCD_WIDTH*LCD_HEIGHT_BYTE)
#define NUM_FILE NUM_FILE()
#define NUM_HANDLE NUM_HANDLE()

__inline WORD LCD_HEIGHT()
{
 LcdConfig lcdConf;
 LcdGetConfig (&lcdConf);
 return lcdConf.height;
}

__inline WORD LCD_WIDTH()
{
 LcdConfig lcdConf;
 LcdGetConfig (&lcdConf);
 return lcdConf.width;
}

__inline int NUM_HANDLE()
{
 int temp1, temp2;
 DbMaxHandles (&temp1, &temp2);
 return temp1;
}

__inline int NUM_FILE()
{
 int temp1, temp2;
 DbMaxHandles (&temp1, &temp2);
 return temp2;
}

#endif // __PRE20_H
