
#ifndef __PROTOCOL_H
#define __PROTOCOL_H

#define RADIO_INFO RADIO_INFO_MOBITEX
#define NETWORKS_INFO NETWORKS_INFO_MOBITEX
#define RadioChangeNetworks RadioChangeNetworksMobitex

#include "mobitex.h"

#undef RADIO_INFO
#undef NETWORKS_INFO
#undef RadioChangeNetworks

#undef __RADIO_H
#define RADIO_INFO RADIO_INFO_DATATAC
#define NETWORKS_INFO NETWORKS_INFO_DATATAC
#define RadioChangeNetworks RadioChangeNetworksDataTAC
#define RadioGetAvailableNetworks(foo) \
    RadioGetAvailableNetworks(NETWORKS_INFO_MOBITEX *info)
#define RadioGetDetailedInfo( foo ) \
    RadioGetDetailedInfo(RADIO_INFO_MOBITEX *info)
#include "DataTAC.h"
#undef RADIO_INFO
#undef NETWORKS_INFO
#undef RadioChangeNetworks
#undef RadioGetAvailableNetworks
#undef RadioGetDetailedInfo

typedef union {
  RADIO_INFO_MOBITEX Mobitex;
  RADIO_INFO_DATATAC DataTAC;
} RADIO_INFO;

typedef union {
  NETWORKS_INFO_MOBITEX Mobitex;
  NETWORKS_INFO_DATATAC DataTAC;
} NETWORKS_INFO;

#define RadioGetDetailedInfo(info) RadioGetDetailedInfo(&(info)->Mobitex);
#define RadioGetAvailableNetworks(info) RadioGetAvailableNetworks(&(info)->Mobitex);

#endif // __PROTOCOL_H
