
#ifndef __BASE_TYPE_H__
#define __BASE_TYPE_H__

#ifndef TRUE
#define TRUE  1
#define FALSE 0
#endif
#ifndef NULL
#define NULL ((void *)0)
#endif

typedef unsigned char BYTE;
typedef signed char SBYTE;
typedef unsigned short WORD;
typedef signed short SWORD;
typedef unsigned long DWORD;
typedef signed long SDWORD;
typedef long LONG;
typedef unsigned int UINT;
typedef int BOOL;
typedef int STATUS;
typedef DWORD TASK;
typedef void (*FUNCTION) ();

#pragma pack(push,2)
typedef struct {
 BYTE bType;
 WORD wide;
 WORD high;
 BYTE *data;
} BitMap;
#pragma pack(pop)

#endif // __BASE_TYPE_H__
