
#ifndef __PAGER_H
#define __PAGER_H

//#pragma const_seg(".text") // Puts all constants in ROM section

#define OS_VERSION  2
#define OS_REVISION 0
#define OS_RELEASE  13
#define OS_BUILD    30

#define OS_API_VERSION ((OS_VERSION << 24)|(OS_REVISION << 16)|(OS_RELEASE << 8)|OS_BUILD)

#include "BaseType.h"
#include "Rim.h"
#include "LCD_API.h"
#include "FileSys.h"
#include "KeyPad.h"
#include "Comm.h"

#define DLLExport __declspec (dllexport)
#define DLLImport __declspec (dllimport)
#define NO_THREAD ((void PagerMain(void){}))

void PagerMain(void);
extern char VersionPtr[];
extern int AppStackSize;

#endif // __PAGER_H
