
#ifndef predefinedsounds_h_included
#define predefinedsounds_h_included

#include "pager.h"

typedef enum {
  INPUT_ERROR
} PREDEFINED_SOUNDS;

typedef struct {
  int Frequency;
  int Duration;
  int DutyCycle;
  int Volume;
} SoundCharacteristics;

SoundCharacteristics const SoundArray[1] = {
  {500, 100, 10, 50} 
};

inline void DoSound(PREDEFINED_SOUNDS pds)
{
  SoundCharacteristics SoundtoDo = SoundArray[pds];
  RimSpeakerBeep(SoundtoDo.Frequency, SoundtoDo.Duration, SoundtoDo.DutyCycle, SoundtoDo.Volume);
  return;
}

#endif // predefinedsounds_h_included
